package com.jkcredit.invoice.mapper.waybill;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jkcredit.invoice.model.entity.waybill.NoCarWayBillSplitInfo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 拆分记录接口
 * @author mumuxigua
 */
@Repository
public interface WayBillSplitInfoMapper extends BaseMapper<NoCarWayBillSplitInfo> {

    int batchInsert(List<NoCarWayBillSplitInfo> noCarWayBillSplitInfos);

    List<NoCarWayBillSplitInfo> selectNoCarWayBillSplitInfosByOrgNum(String wayBillNum);

    int updateStatusById(@Param("id") Long id,@Param("waybillstatus") byte status);
}
